Bug 483073 - grep-mem-exhausted.patch introduces regressions
grep-mem-exhausted.patch introduces regressions
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: grep (Show other bugs)
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Stepan Kasal
: 495521 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-01-29 11:01 EST by Stepan Kasal
Modified: 2013-04-12 16:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 481765
Last Closed: 2009-05-14 03:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2009-01-29 11:01:04 EST
[Originally reported by Simon Vallet as bug 440258.]

grep-2.5.3-2 may fail on large files:

$ grep '12884102-12884161_12884190-12884243;9,5;28' /env/cns/tmp/test_file

$ tail /env/cns/tmp/test_file > /env/cns/tmp/test_file.tail
$ grep '12884102-12884161_12884190-12884243;9,5;28' /env/cns/tmp/test_file.tail 
../lecures_NM_eland_result.seq-15290226 TGGGGGAGGGTTTTTTGTTTTATAAAGATGATC [...]

1. wget http:[...]/test_file (warning: 1gb)
2. grep '12884102-12884161_12884190-12884243;9,5;28' /env/cns/tmp/test_file

The "test_file" contains some text at the beginnig and at the end, but most of it is occupied by a huge block of nul bytes.

Actual results:
No output

Expected results:
The last line of this file contains the pattern (see above)

Additional info:
Re-building without patch #9 (grep-mem-exhausted.patch) solves the problem.

We shall either modify the patch so that it errs out as soon as the limit of the buffer size is reached, or (preferably) the patch shall be dropped.
Comment 1 RHEL Product and Program Management 2009-03-26 12:48:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2009-05-14 03:32:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 9 Stepan Kasal 2009-09-22 08:31:34 EDT
*** Bug 495521 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.